package com.hdkj.lt.bf.mapper;

import com.hdkj.lt.bf.entity.vo.ThemeColorVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SystemThemeMapper {

    ThemeColorVo getThemeColor(@Param("userId") Long userId);

    Integer getThemeColorSort(@Param("userId") Long userId);

    Integer getAllSort();

    void updateColor(@Param("param") Integer themeColorSort, @Param("userId") Long userId);

    /**
     * 新增用户主题
     */
    void addThemeColor(@Param("themeColorVo") ThemeColorVo themeColorVo);
}
